### Method

# Gimp Item set_lock_position

#### Declaration [src]

    gboolean
    gimp_item_set_lock_position (
      GimpItem* item,
      gboolean lock_position
    )

#### Description [src]

Set the ‘lock position’ state of the specified item.

This procedure sets the specified item’s lock position state.

Available since: | 2.10

#### Parameters

`lock_position` | `gboolean`
| The new item ‘lock position’ state.

#### Return value

Returns: | `gboolean`
| TRUE on success.